.loading-container {
  height: 98vh;
  width: 98vw;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
  color: #646cff;
}

.loading-img {
  width: 120px;
}

.loading-text {
  width: 56px;
  height: 56px;
  margin-block: 36px;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.loading-animate {
  position: relative;
  height: 100%;
  animation: spin 1s linear infinite;
}

.loading-dot {
  position: absolute;
  width: 16px;
  height: 16px;
  background: #646cff;
  border-radius: 8px;
  animation: pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite;
}

.loading-title {
  font-size: 28px;
  --un-font-weight: 500;
  font-weight: 500;
  vertical-align: text-top;
  color: #646cff;
}
